package com.cool.store.vo.interview;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: young.yu
 * @Date: 2023-06-16  13:21
 * @Description:
 */
@ApiModel(description = "日期列表")
public class CalendarInfo {
    @ApiModelProperty("星期几")
    private Integer dayOfWeek;

    @ApiModelProperty("年份")
    private String year;

    @ApiModelProperty("月份")
    private String month;

    @ApiModelProperty("日期")
    private String day;

    @ApiModelProperty("日期字符串")
    private String dateStr;

    @ApiModelProperty("飞书日程忙闲清单")
    private List<FreeBusyInfo> freeBusyList;

    public CalendarInfo(Integer dayOfWeek, String year, String month, String day, String dateStr, List<FreeBusyInfo> freeBusyList) {
        this.dayOfWeek = dayOfWeek;
        this.year = year;
        this.month = month;
        this.day = day;
        this.dateStr = dateStr;
        this.freeBusyList = freeBusyList;
    }

    public String getDateStr() {
        return dateStr;
    }

    public void setDateStr(String dateStr) {
        this.dateStr = dateStr;
    }

    public List<FreeBusyInfo> getFreeBusyList() {
        return freeBusyList;
    }

    public void setFreeBusyList(List<FreeBusyInfo> freeBusyList) {
        this.freeBusyList = freeBusyList;
    }

    public Integer getDayOfWeek() {
        return dayOfWeek;
    }

    public void setDayOfWeek(Integer dayOfWeek) {
        this.dayOfWeek = dayOfWeek;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getDay() {
        return day;
    }

    public void setDay(String day) {
        this.day = day;
    }
}
